rte_swx_port_out_stats(3)

NAME
rte_swx_port_out_stats

SYNOPSIS

#include <rte_swx_port.h>

  Data Fields

uint64_t n_pkts
uint64_t n_bytes
uint64_t n_pkts_drop
uint64_t n_bytes_drop
uint64_t n_pkts_clone
uint64_t n_pkts_clone_err

Detailed Description

Output port statistics counters.

Definition at line 183 of file rte_swx_port.h.

Field Documentation

  uint64_t n_pkts
Number of packets successfully transmitted.

Definition at line 185 of file rte_swx_port.h.

  uint64_t n_bytes
Number of bytes successfully transmitted.

Definition at line 188 of file rte_swx_port.h.

  uint64_t n_pkts_drop
Number of packets dropped.

Definition at line 191 of file rte_swx_port.h.

  uint64_t n_bytes_drop
Number of bytes dropped.

Definition at line 194 of file rte_swx_port.h.

  uint64_t n_pkts_clone
Number of packets cloned successfully.

Definition at line 197 of file rte_swx_port.h.

  uint64_t n_pkts_clone_err
Number of packets with clone errors.

Definition at line 200 of file rte_swx_port.h.

Author

Generated automatically by Doxygen for DPDK from the source code.